Bug Hunting Session
Bug 48200 - Calc FILEOPEN: Regex option in database range filters not saved.
Summary: Calc FILEOPEN: Regex option in database range filters not saved.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: Other All
: medium normal
Assignee: Noel Power
URL:
Whiteboard: target:3.7.0 target:3.6.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-04-02 08:38 UTC by Andreas Säger
Modified: 2012-08-20 15:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Spredsheet with a db-range filtered by regex. Refresh the db-range and see. (10.41 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-07-14 08:24 UTC, Andreas Säger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Säger 2012-04-02 08:38:52 UTC
When I define a regex filter for a database range the regex option is turned off when I reload the document.
Comment 1 sasha.libreoffice 2012-06-29 03:21:09 UTC
Thanks for bugreport
Please, attach screenshot of this bug
Comment 2 Alex Thurgood 2012-07-02 00:44:10 UTC
Andreas,

Could you provide us with a sample db and the regex expression you are using please ?

Does the problem still occur in 3.5.4 stable ?

Alex
Comment 3 Andreas Säger 2012-07-14 08:24:59 UTC
Created attachment 64193 [details]
Spredsheet with a db-range filtered by regex. Refresh the db-range and see.
Comment 4 sasha.libreoffice 2012-07-20 10:27:25 UTC
Thanks for attachment with test case and explanations.
Reproduced in 3.6.beta1 on Fedora 64 bit
Not reproduced in 3.3.4 , therefore regression

Steps to reproduce:
0. Open attachment
1. Click cell with autofilter there, select "Standard filter"
2. Click "More options" button there and enable "Regular expression" option
3. Save document
4. File->Reload
Expected: "Regular expression" option remains enabled
Actually: it disabled

When I save document in 3.6.b1 with "Regular expression" option enabled, then open in 3.3.4, this option remains enabled. Therefore 3.6.b1 saves this option correctly, but can not load.
Comment 5 Noel Power 2012-08-16 12:53:08 UTC
I take a shot at fixing this
Comment 6 Noel Power 2012-08-16 16:40:53 UTC
fixed I think
Comment 7 Not Assigned 2012-08-16 16:43:12 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=094654fcebe35af07a9e12137becdf85277ef706

fix for fdo#48200.diff import regrex state for filter
Comment 8 Not Assigned 2012-08-16 16:49:08 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d88325f73e6912928913eb41297e6aa4643655f5

Revert "fix for fdo#48200.diff import regrex state for filter"
Comment 9 Not Assigned 2012-08-16 16:49:28 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b94bff540a47a9fc5ce0586aa58e28321c96e4aa

fix for fdo#48200.diff import regrex state for filter
Comment 10 Not Assigned 2012-08-20 15:42:20 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1c26949e29278a3eae0c167f172a0fd4895fd2f&g=libreoffice-3-6

fix for fdo#48200.diff import regrex state for filter


It will be available in LibreOffice 3.6.2.